> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# generate a web preview URL with this flow.

> In order to visualize the Flows created, you can generate a web preview URL with this request. **The preview URL is public and can be shared with different stakeholders to visualize the Flow.**.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /whatsapp/flows/{flowId}/preview
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/flows/{flowId}/preview:
    get:
      tags:
        - WhatsApp Flows
      summary: generate a web preview URL with this flow.
      description: >-
        In order to visualize the Flows created, you can generate a web preview
        URL with this request. **The preview URL is public and can be shared
        with different stakeholders to visualize the Flow.**.
      operationId: whatsapp_flow-preview
      parameters:
        - name: flowId
          in: path
          description: Flow ID.
          required: true
          schema:
            type: string
            example: flow-1
        - name: invalidate
          in: query
          description: >-
            the link will expire in 30 days in default, or if you set with
            invalidate=true which will generate a new link.
          required: false
          schema:
            type: boolean
            example: false
      responses:
        '200':
          description: Successfully generate the flow preview url.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappFlowPreviewUrl'
components:
  schemas:
    WhatsappFlowPreviewUrl:
      properties:
        previewUrl:
          type: string
          description: The flow preview url
          example: >-
            https://business.facebook.com/wa/manage/flows/123456/preview/?token=xxxx
        expiresAt:
          type: string
          format: date-time
          example: '2022-03-01T12:00:00.000Z'
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.